org.springframework.web.reactive.result.method

## Class RequestMappingInfo.BuilderConfiguration

- java.lang.Object
- - org.springframework.web.reactive.result.method.RequestMappingInfo.BuilderConfiguration

Enclosing class:
  RequestMappingInfo

    public static class RequestMappingInfo.BuilderConfiguration
    extends Object

Container for configuration options used for request mapping purposes. Such configuration is required to create RequestMappingInfo instances but is typically used across all RequestMappingInfo instances.

See Also:
  `RequestMappingInfo.Builder.options(org.springframework.web.reactive.result.method.RequestMappingInfo.BuilderConfiguration)`

### Constructor Summary

Constructors
Constructor and Description
`BuilderConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestedContentTypeResolver` `getContentTypeResolver()`
`org.springframework.web.util.pattern.PathPatternParser` `getPatternParser()`
`void` `setContentTypeResolver(RequestedContentTypeResolver resolver)` Set the ContentNegotiationManager to use for the ProducesRequestCondition.
`void` `setPatternParser(org.springframework.web.util.pattern.PathPatternParser patternParser)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuilderConfiguration

    public BuilderConfiguration()

### Method Detail

#### setPatternParser

    public void setPatternParser(org.springframework.web.util.pattern.PathPatternParser patternParser)

#### getPatternParser

    @Nullable
    public org.springframework.web.util.pattern.PathPatternParser getPatternParser()

#### setContentTypeResolver

    public void setContentTypeResolver(RequestedContentTypeResolver resolver)

Set the ContentNegotiationManager to use for the ProducesRequestCondition.

By default this is not set.

#### getContentTypeResolver

    @Nullable
    public RequestedContentTypeResolver getContentTypeResolver()